Invoices

Create Invoice

POST
/orgs/{organizationId}/invoices

Creates a new invoice with the provided data.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
customerId*string
currency?string
Default"EUR"
invoiceDate?string
Formatdate-time
Default"2026-10-10T12:14:10.039Z"
dueDate?string
Formatdate-time
Default"2026-10-17T12:14:10.039Z"
status?string
Default"DRAFT"
Value in"DRAFT""BOOKED"
paymentStatus?string
Default"UNPAID"
Value in"UNPAID""PARTIALLY_PAID""PENDING""PAID"
mandateId?string|null

Response Body

OK

application/json
  1. response
curl -X POST 'https://api.tillor.eu/orgs/string/invoices' \  -H 'Content-Type: application/json' \  -d '{  "customerId": "string"}'
null